<?php

namespace App\Admin\Controllers;

use App\Services\SysConfigService;
use Slowlyo\OwlAdmin\Controllers\AdminController;

/**
 * 系统设置
 *
 * @property SysConfigService $service
 */
class SysConfigController extends AdminController
{
	protected string $serviceName = SysConfigService::class;

	public function list()
	{
		$crud = $this->baseCRUD()
			->filterTogglable(false)
			->headerToolbar([
				$this->createButton('dialog'),
				...$this->baseHeaderToolBar()
			])
			->columns([
				amis()->TableColumn('id', 'ID')->sortable(),
				amis()->TableColumn('key', '配置项'),
				amis()->TableColumn('value', '配置值'),
				amis()->TableColumn('created_at', admin_trans('admin.created_at'))->type('datetime')->sortable(),
				amis()->TableColumn('updated_at', admin_trans('admin.updated_at'))->type('datetime')->sortable(),
				$this->rowActions('dialog')
			]);

		return $this->baseList($crud);
	}

	public function form($isEdit = false)
	{
		return $this->baseForm()->body([
			amis()->TextControl('key', '配置项'),
			amis()->TextControl('value', '配置值'),
		]);
	}

	public function detail()
	{
		return $this->baseDetail()->body([
			amis()->TextControl('id', 'ID')->static(),
			amis()->TextControl('key', '配置项')->static(),
			amis()->TextControl('value', '配置值')->static(),
			amis()->TextControl('created_at', admin_trans('admin.created_at'))->static(),
			amis()->TextControl('updated_at', admin_trans('admin.updated_at'))->static(),
		]);
	}
}